Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000640FirmwareDecoderspublic2012-08-05 20:552012-09-13 09:39
ReporterFred 
Assigned ToFred 
PriorityhighSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.2.0-SNAPSHOT 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000640: Check edge of signal used is correct in Missing Teeth decoder
DescriptionSee title. I suspect that it's wrong! :-(
Additional InformationAffects Peter/Honda, Peter/Truck, Daniel/Slater, Aaron/Mini
TagsNo tags attached.
FirmwareVersion
Issue TypeBug
Risk of Breakagemedium
Attached Files

- Relationships

-  Notes
User avatar (0001814)
Fred (administrator)
2012-08-05 23:45

If/when this is fixed it'll require the engine decoder offset readjusting to have correct timing again.
User avatar (0001963)
Fred (administrator)
2012-08-29 12:06

Planning to put this into effect tomorrow with Daniel on the SLATER. Fingers crossed. Tonight he's testing a bog standard dev branch build to ensure we have a solid baseline on his car. If that goes well, this is next.

Peter is already running this fixed on his truck, so once it goes in, he can run default too. Then it's just Aaron and his 8 minus 1 mini to fix up :-)
User avatar (0001969)
Fred (administrator)
2012-08-30 08:57

Car ran fine on latest code, so upgrading him to fixed version now.
User avatar (0001970)
Fred (administrator)
2012-08-30 11:34

New code supplied will be tested tomorrow all going well.

Additional info:

This change is correct for both LM1815 and MAX992X ICs. Although they work in quite different ways. The Maxim part defaults to high, and pulls low during the first part of the wave and goes high again at the zero crossing. The LM1815 defaults to low and arms at the first part of the wave, goes high at the zero crossing and stays high for some period afterward.
User avatar (0002036)
Fred (administrator)
2012-09-05 11:43

Slater build has run on this, but don't have updated offset from him yet due to PC troubles. No offset from the mini either. Commit going in ASAP. Waiting on data.
User avatar (0002049)
Fred (administrator)
2012-09-06 09:43

Slater offset did not require timing change and is now rock solid stable, where as it was not before.

Peter, how much angle change did your truck need, roughly?
User avatar (0002126)
Fred (administrator)
2012-09-13 09:39

Closing directly as all three users have pretested.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker